ubuntu/+source/libfcgi:applied/ubuntu/devel

Last commit made on 2017-11-22
Get this branch:
git clone -b applied/ubuntu/devel https://git.launchpad.net/ubuntu/+source/libfcgi
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/devel
Repository:
lp:ubuntu/+source/libfcgi

Recent commits

a51d909... by Tehnick on 2017-11-22

Import patches-applied version 2.4.0-10 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 2638b3d0f8978175aaac0710537212722451767d
Unapplied parent: fdf58148497fa2bd54ff46fc27cf84b2c136c395

New changelog entries:
  * Update debian/rules:
    - enable all hardening flags
    - add --no-parallel option to dh
  * New maintainer. (Closes: #837523)
  * Bump Standards-Version to 4.1.1 (was 3.9.5): no changes required.
  * Bump debhelper version to 10 (was 9); update debian/compat.
  * Update debian/control:
    - update Homepage field
    - add Vcs-Git and Vcs-Browser fields
    - delete build dependency from dh-autoreconf
    - update short and long descriptions of binary packages
    - fix lintian note binary-control-field-duplicates-source field
  * Rename old patches for using of common naming scheme.
  * Add description to patch binutils-indirect-linking.
  * Add patch reset-file-descriptor-after-closing. (LP: #1248516)
  * Delete empty file debian/libfcgi0ldbl.manpages.
  * Update debian/copyright.
  * Update debian/watch.

fdf5814... by Tehnick on 2017-11-22

reset file descriptor after closing

Gbp-Pq: reset-file-descriptor-after-closing.patch.

09ae599... by Tehnick on 2017-11-22

Fix up compiler warnings in codebase, including:

Gbp-Pq: fix-compiler-warnings.patch.

1a5f934... by Tehnick on 2017-11-22

use poll in os_unix.c instead of select to avoid problem with > 1024 connections

Gbp-Pq: use-poll.patch.

6c75fe2... by Tehnick on 2017-11-22

Upstream changes introduced in version 2.4.0-8

Gbp-Pq: gcc44-fix-include.patch.

a8fb4d8... by Tehnick on 2017-11-22

fix FTBFS with binutils-gold

Gbp-Pq: binutils-indirect-linking.patch.

b090b66... by Tehnick on 2017-11-22

Import patches-unapplied version 2.4.0-10 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 382a6ad8bfdfd69d41daea09442c2feb9ac06a00

New changelog entries:
  * Update debian/rules:
    - enable all hardening flags
    - add --no-parallel option to dh
  * New maintainer. (Closes: #837523)
  * Bump Standards-Version to 4.1.1 (was 3.9.5): no changes required.
  * Bump debhelper version to 10 (was 9); update debian/compat.
  * Update debian/control:
    - update Homepage field
    - add Vcs-Git and Vcs-Browser fields
    - delete build dependency from dh-autoreconf
    - update short and long descriptions of binary packages
    - fix lintian note binary-control-field-duplicates-source field
  * Rename old patches for using of common naming scheme.
  * Add description to patch binutils-indirect-linking.
  * Add patch reset-file-descriptor-after-closing. (LP: #1248516)
  * Delete empty file debian/libfcgi0ldbl.manpages.
  * Update debian/copyright.
  * Update debian/watch.

2638b3d... by Helmut Grohne <email address hidden> on 2016-05-06

Import patches-applied version 2.4.0-8.4 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: f6902efdb3fc25e61441697b59a1b76465246c71
Unapplied parent: f03dc9b22d6edc344f9f0d95abc76bddc90d0945

New changelog entries:
  * Non-maintainer upload.
  * Enable Multi-Arch: (Closes: #823600)
    + Switch to debhelper 9 to support multiarch paths.
      + dh option --with must come after sequence
    + Split cgi-fcgi to separate M-A:foreign package libfcgi-bin.
    + libfcgi0ldbl only Recommends libcgi-fcgi to avoid a circular dependency.

382a6ad... by Helmut Grohne <email address hidden> on 2016-05-06

Import patches-unapplied version 2.4.0-8.4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e5bdd4b399b5e756169d81cb3bc0abcb6c3dd964

New changelog entries:
  * Non-maintainer upload.
  * Enable Multi-Arch: (Closes: #823600)
    + Switch to debhelper 9 to support multiarch paths.
      + dh option --with must come after sequence
    + Split cgi-fcgi to separate M-A:foreign package libfcgi-bin.
    + libfcgi0ldbl only Recommends libcgi-fcgi to avoid a circular dependency.

f03dc9b... by Helmut Grohne <email address hidden> on 2016-05-06

Fix up compiler warnings in codebase, including:

Gbp-Pq: fix_compiler_warnings.patch.